package com.tzld.piaoquan.api.model.po.contentplatform;

public class ContentPlatformVideoDataStat {
    private Long id;

    private String dt;

    private Long videoId;

    private String type;

    private String channel;

    private Long firstLevel;

    private Long fission0;

    private Double fissionRate;

    private Long createTimestamp;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDt() {
        return dt;
    }

    public void setDt(String dt) {
        this.dt = dt;
    }

    public Long getVideoId() {
        return videoId;
    }

    public void setVideoId(Long videoId) {
        this.videoId = videoId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public Long getFirstLevel() {
        return firstLevel;
    }

    public void setFirstLevel(Long firstLevel) {
        this.firstLevel = firstLevel;
    }

    public Long getFission0() {
        return fission0;
    }

    public void setFission0(Long fission0) {
        this.fission0 = fission0;
    }

    public Double getFissionRate() {
        return fissionRate;
    }

    public void setFissionRate(Double fissionRate) {
        this.fissionRate = fissionRate;
    }

    public Long getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", dt=").append(dt);
        sb.append(", videoId=").append(videoId);
        sb.append(", type=").append(type);
        sb.append(", channel=").append(channel);
        sb.append(", firstLevel=").append(firstLevel);
        sb.append(", fission0=").append(fission0);
        sb.append(", fissionRate=").append(fissionRate);
        sb.append(", createTimestamp=").append(createTimestamp);
        sb.append("]");
        return sb.toString();
    }
}